> ## Documentation Index
> Fetch the complete documentation index at: https://secdocs.asikoexpress.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List saved recipients — people you have checked out orders for who are not yourself



## OpenAPI

````yaml /openapi/order-service.json get /v1/customers
openapi: 3.0.0
info:
  title: Asiko Order Service
  description: Cart, checkout, order lifecycle
  version: '1.0'
  contact: {}
servers: []
security: []
tags:
  - name: orders
    description: ''
  - name: cart
    description: ''
paths:
  /v1/customers:
    get:
      tags:
        - customers
      summary: >-
        List saved recipients — people you have checked out orders for who are
        not yourself
      operationId: CustomersController_list
      parameters:
        - name: limit
          required: false
          in: query
          schema: {}
        - name: page
          required: false
          in: query
          schema: {}
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/CustomerResponseDto'
                  meta:
                    $ref: '#/components/schemas/PaginationMetaDto'
      security:
        - bearer: []
components:
  schemas:
    CustomerResponseDto:
      type: object
      properties:
        id:
          type: string
        fullName:
          type: string
        contactPhone:
          type: string
        address:
          type: string
        totalOrders:
          type: number
        createdAt:
          type: string
        updatedAt:
          type: string
      required:
        - id
        - fullName
        - contactPhone
        - address
        - totalOrders
        - createdAt
        - updatedAt
    PaginationMetaDto:
      type: object
      properties:
        total:
          type: number
        page:
          type: number
        limit:
          type: number
        totalPages:
          type: number
      required:
        - total
        - page
        - limit
        - totalPages
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.